Index: /trunk/libIGCM/AA_SaveSourceModifications
===================================================================
--- /trunk/libIGCM/AA_SaveSourceModifications	(revision 589)
+++ /trunk/libIGCM/AA_SaveSourceModifications	(revision 590)
@@ -145,5 +145,5 @@
 fi
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 if ( ! ${DEBUG_debug} ) ; then
     IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 589)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 590)
@@ -231,4 +231,4 @@
 [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 589)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 590)
@@ -272,4 +272,4 @@
 [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 589)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 590)
@@ -237,4 +237,4 @@
 [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 589)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 590)
@@ -237,4 +237,4 @@
 [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 589)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 590)
@@ -539,4 +539,4 @@
 fi
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 589)
+++ /trunk/libIGCM/AA_create_se	(revision 590)
@@ -690,4 +690,4 @@
 fi
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 589)
+++ /trunk/libIGCM/AA_create_ts	(revision 590)
@@ -862,5 +862,5 @@
 fi
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
 
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 589)
+++ /trunk/libIGCM/AA_monitoring	(revision 590)
@@ -292,4 +292,4 @@
 IGCM_sys_Put_Dods MONITORING
 
-# Clean RUN_DIR_PATH (necessary for cesium)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 589)
+++ /trunk/libIGCM/AA_pack_debug	(revision 590)
@@ -3,5 +3,5 @@
 #-Q- cesium ## CESIUM   CEA ##
 #-Q- cesium ######################
-#-Q- cesium #MSUB -r PACKDEBUG    # Nom du job                
+#-Q- cesium #MSUB -r PACKDEBUG    # Nom du job
 #-Q- cesium #MSUB -N 1              # Reservation du noeud
 #-Q- cesium #MSUB -n 1              # Reservation du processus
@@ -27,5 +27,5 @@
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = PACKDEBUG
-#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # Fichier de sortie standard du travail
 #-Q- sx8brodie # @ output     = $(job_name).$(jobid)
 #-Q- sx8brodie # Fichier de sortie d'erreur du travail
@@ -81,5 +81,5 @@
 #-Q- sx9mercure ## CESIUM   CEA ##
 #-Q- sx9mercure ######################
-#-Q- sx9mercure #MSUB -r PACKDEBUG    # Nom du job                
+#-Q- sx9mercure #MSUB -r PACKDEBUG    # Nom du job
 #-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
 #-Q- sx9mercure #MSUB -n 1              # Reservation du processus
@@ -91,5 +91,5 @@
 #-Q- titane ## TITANE   CEA     ##
 #-Q- titane ######################
-#-Q- titane #MSUB -r PACKDEBUG    # Nom du job                
+#-Q- titane #MSUB -r PACKDEBUG    # Nom du job
 #-Q- titane #MSUB -eo
 #-Q- titane #MSUB -n 1              # Reservation du processus
@@ -178,15 +178,15 @@
 #RESTART/ATM_****.nc
 #RESTART/OCE_****.nc
-#Attention de bien conserver les dates d'origines 
+#Attention de bien conserver les dates d'origines
 #
 #Dans le cadre de la production nouvelle chaine
 #ils auront directement le bon nom
 #
-#On veut egalement que l'archive soit par periode de temps 
-# cette periode est definie par la taille du pack donc connue 
-# en entree du script (1M, 1Y, 5Y, 10Y etc...) 
-#
-# $1= PATH/config_card d'une simulation avec 
-# TagName/JobName/ExperimentName/SpaceName/DateBegin/DateEnd/PATH_SIMUL
+#On veut egalement que l'archive soit par periode de temps
+# cette periode est definie par la taille du pack donc connue
+# en entree du script (1M, 1Y, 5Y, 10Y etc...)
+#
+# $1= PATH/config_card d'une simulation avec
+# TagName/JobName/ExperimentName/SpaceName/DateBegin/DateEnd
 # $2=PeriodPack en M/m ou Y/y
 
@@ -223,11 +223,8 @@
 fi
 
-#
+#====================================================
 # First of all
 #
-#### 0- lecture de config.card 
-#### on veut les renseignements suivants : 
-#### JobName, PATH_SIMUL, DateBegin et DateEnd
-
+# Read config.card
 IGCM_card_DefineArrayFromSection     ${CARD_DIR}/config.card UserChoices
 typeset option
@@ -250,6 +247,8 @@
 
 #====================================================
-#R_SAVE : Job output storage directory
-#R_BUFR : Job output buffered directory
+# Prepare environment
+#R_SAVE      : Job output storage directory
+#R_BUFR      : Job output buffered directory
+#STORE_DEBUG : Where we store tar files
 
 if ( [ ! X${config_UserChoices_SpaceName} = X ] && [ ! X${config_UserChoices_ExperimentName} = X ] ) ; then
@@ -264,20 +263,15 @@
 [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
 
-#### Preparation de l'environnement
-# repertoire dans lequel seront crees les archives
-#STORE_DEBUG=/scratch/cont003/p86denv/Pack_Test/DEBUG
+#STORE_DEBUG=/ccc/store/cont003/dsm/p86denv/.../DEBUG
 STORE_DEBUG=${R_SAVE}/DEBUG
 IGCM_sys_MkdirArchive ${STORE_DEBUG}
 
+#cd ${STORE_DEBUG}
+#rm -f *
+
 # Switch to script variables meaning (try to be compatible with ipsl_pack TGCC moving procedure)
 JobName=${config_UserChoices_JobName}
-PATH_SIMUL=${R_BUFR}
-echo $JobName $PATH_SIMUL $DateBegin $DateEnd
-
-#### 1- renommer les fichiers ######
-#cd ${STORE_DEBUG}
-#rm -rf *
-
-# On les copie sur le scratchdir en changeant le nom et conservant la date
+echo $JobName $DateBegin $DateEnd
+
 # Clear txt file lists
 rm -f ${RUN_DIR}/liste_debug_files.txt
@@ -286,5 +280,5 @@
 
 # Create sorted debug list to work with
-find ${PATH_SIMUL}/*/Debug -type f | sort >> ${RUN_DIR}/liste_debug_files.txt
+find ${R_BUFR}/*/Debug -type f | sort >> ${RUN_DIR}/liste_debug_files.txt
 
 # Rename debug files we will work with using symlinks
@@ -318,9 +312,8 @@
     extract_date_file=$( echo ${file}  | sed -e "s/.*${JobName}_[0-9]*_//" )
     date_file=$( echo ${extract_date_file} | sed 's/\([0-9]\{8\}\)_.*$/\1/g' )
-#   echo pack nÂ°${number_pack}  ${date_file} ${date_begin_pack} ${date_end_pack} 
-    if [ ${date_file} -le ${date_end_pack} ] && [ ${date_file} -ge ${date_begin_pack} ] ; then 
+#   echo pack nÂ°${number_pack}  ${date_file} ${date_begin_pack} ${date_end_pack}
+    if [ ${date_file} -le ${date_end_pack} ] && [ ${date_file} -ge ${date_begin_pack} ] ; then
         echo $( basename ${file} ) >> ${RUN_DIR}/liste_pack_${number_pack}.txt
-	echo $( readlink ${file} ) >> ${RUN_DIR}/liste_remove_pack_${number_pack}.txt
-
+        echo $( readlink ${file} ) >> ${RUN_DIR}/liste_remove_pack_${number_pack}.txt
 #    Will not work. Need to find a better ordering.
 #    elif [ ${date_file} -ge ${date_end_pack} ] ; then
@@ -350,2 +343,7 @@
 
 done
+
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
+IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+date
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 589)
+++ /trunk/libIGCM/AA_pack_output	(revision 590)
@@ -3,5 +3,5 @@
 #-Q- cesium ## CESIUM   CEA ##
 #-Q- cesium ######################
-#-Q- cesium #MSUB -r PACKOUTPUT    # Nom du job                
+#-Q- cesium #MSUB -r PACKOUTPUT    # Nom du job
 #-Q- cesium #MSUB -N 1              # Reservation du noeud
 #-Q- cesium #MSUB -n 1              # Reservation du processus
@@ -27,5 +27,5 @@
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = PACKOUTPUT
-#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # Fichier de sortie standard du travail
 #-Q- sx8brodie # @ output     = $(job_name).$(jobid)
 #-Q- sx8brodie # Fichier de sortie d'erreur du travail
@@ -81,5 +81,5 @@
 #-Q- sx9mercure ## CESIUM   CEA ##
 #-Q- sx9mercure ######################
-#-Q- sx9mercure #MSUB -r PACKOUTPUT    # Nom du job                
+#-Q- sx9mercure #MSUB -r PACKOUTPUT    # Nom du job
 #-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
 #-Q- sx9mercure #MSUB -n 1              # Reservation du processus
@@ -91,5 +91,5 @@
 #-Q- titane ## TITANE   CEA     ##
 #-Q- titane ######################
-#-Q- titane #MSUB -r PACKOUTPUT    # Nom du job                
+#-Q- titane #MSUB -r PACKOUTPUT    # Nom du job
 #-Q- titane #MSUB -eo
 #-Q- titane #MSUB -n 1              # Reservation du processus
@@ -200,10 +200,8 @@
 fi
 
-#
+#====================================================
 # First of all
 #
-#### 0- lecture de config.card 
-#### on veut les renseignements suivants : 
-#### JobName, PATH_SIMUL, DateBegin et DateEnd
+# Read config.card
 
 IGCM_card_DefineArrayFromSection     ${CARD_DIR}/config.card UserChoices
@@ -249,6 +247,5 @@
 # Switch to script variables meaning (try to be compatible with ipsl_pack TGCC moving procedure)
 JobName=${config_UserChoices_JobName}
-PATH_SIMUL=${R_BUFR}
-echo $JobName $PATH_SIMUL $DateBegin $DateEnd
+echo $JobName $DateBegin $DateEnd
 
 # ------------------------------------------------------------------
@@ -268,5 +265,5 @@
 
   IGCM_debug_PrintVariables 3 number_pack
-  DaysTemp=$( IGCM_date_DaysInNextPeriod ${date_begin_pack} ${PeriodPack} )
+  DaysTemp=$( IGCM_date_DaysInCurrentPeriod ${date_begin_pack} ${PeriodPack} )
   date_end_pack=$( IGCM_date_AddDaysToGregorianDate ${date_begin_pack} $(( ${DaysTemp} - 1 )) )
 
@@ -283,45 +280,45 @@
       # Loop over the file type and pack them when in between date_begin_pack and date_end_pack
       for myType in ${fileType} ; do
-	grep ${myType} liste_files.${dirID}.txt > liste_files.${dirID}.${myType}.txt
-	nbfile=0
-	for file in $( gawk '{print $11}' liste_files.${dirID}.${myType}.txt ); do
-	  extract_date_file=$( echo ${file}  | sed -e "s/.*${JobName}_[0-9]*_//" )
-	  date_file=$( echo ${extract_date_file} | sed 's/\([0-9]\{8\}\)_.*$/\1/g' )
-	  # echo pack nÂ°${number_pack}  ${date_file} ${date_begin_pack} ${date_end_pack}
-	  if [ ${date_file} -le ${date_end_pack} ] && [ ${date_file} -ge ${date_begin_pack} ] ; then 
-	    echo ${file} >> liste_pack_${myType}_${number_pack}.txt
-	    ncdump -h ${file} | grep -E 'float|double' | cut -f 1 -d '(' | cut -f 2 -d ' ' >> liste_variables_${myType}_${number_pack}.txt
-	    (( nbfile = nbfile + 1 ))
-	  fi
-	done
-	# Select list of variables to work with
-	list_var=$( cat liste_variables_${myType}_${number_pack}.txt | sort | uniq -c | awk -v nbfile=$nbfile '{if ($1 != nbfile) {print $2}}' | paste -s -d ',' )
-	liste_file_tmp=$( for i in $( cat liste_pack_${myType}_${number_pack}.txt ) ; do basename $i ; done )
-	# Create packed files
-	IGCM_debug_Print 1 "Ncrcat ongoing for ${dir} and ${myType}"
-	output=${JobName}_${date_begin_pack}_${date_end_pack}_${myType}
-	#cat liste_pack_${myType}_${number_pack}.txt | xargs ncrcat -v ${list_var} -o ${output}
-	if [ X${list_var} = X ] ; then
-	  ncrcat --omp_num_threads 4 -p ${dir} ${liste_file_tmp} --output ${output}
-	else
-	  ncrcat --omp_num_threads 4 -x -v ${list_var} -p ${dir} ${liste_file_tmp} --output ${output}
-	fi
-	# ------------------------------------------------------------------
+        grep ${myType} liste_files.${dirID}.txt > liste_files.${dirID}.${myType}.txt
+        nbfile=0
+        for file in $( gawk '{print $11}' liste_files.${dirID}.${myType}.txt ); do
+          extract_date_file=$( echo ${file}  | sed -e "s/.*${JobName}_[0-9]*_//" )
+          date_file=$( echo ${extract_date_file} | sed 's/\([0-9]\{8\}\)_.*$/\1/g' )
+          # echo pack nÂ°${number_pack}  ${date_file} ${date_begin_pack} ${date_end_pack}
+          if [ ${date_file} -le ${date_end_pack} ] && [ ${date_file} -ge ${date_begin_pack} ] ; then
+            echo ${file} >> liste_pack_${myType}_${number_pack}.txt
+            ncdump -h ${file} | grep -E 'float|double' | cut -f 1 -d '(' | cut -f 2 -d ' ' >> liste_variables_${myType}_${number_pack}.txt
+            (( nbfile = nbfile + 1 ))
+          fi
+        done
+        # Select list of variables to work with
+        list_var=$( cat liste_variables_${myType}_${number_pack}.txt | sort | uniq -c | awk -v nbfile=$nbfile '{if ($1 != nbfile) {print $2}}' | paste -s -d ',' )
+        liste_file_tmp=$( for i in $( cat liste_pack_${myType}_${number_pack}.txt ) ; do basename $i ; done )
+        # Create packed files
+        IGCM_debug_Print 1 "Ncrcat ongoing for ${dir} and ${myType}"
+        output=${JobName}_${date_begin_pack}_${date_end_pack}_${myType}
+        #cat liste_pack_${myType}_${number_pack}.txt | xargs ncrcat -v ${list_var} -o ${output}
+        if [ X${list_var} = X ] ; then
+          IGCM_sys_ncrcat -p ${dir} ${liste_file_tmp} --output ${output}
+        else
+          IGCM_sys_ncrcat -x -v ${list_var} -p ${dir} ${liste_file_tmp} --output ${output}
+        fi
+        # ------------------------------------------------------------------
         # Test if all was right before proceeding further
         # ------------------------------------------------------------------
-	IGCM_debug_Verif_Exit_Post
+        IGCM_debug_Verif_Exit_Post
         # Save it
-	IGCM_sys_Put_Out ${output} ${R_SAVE}/$( echo $dir | sed "s:${R_BUFR}/::" )/${output}
-	# ------------------------------------------------------------------
+        IGCM_sys_Put_Out ${output} ${R_SAVE}/$( echo $dir | sed "s:${R_BUFR}/::" )/${output}
+        # ------------------------------------------------------------------
         # Test if all was right before proceeding further
         # ------------------------------------------------------------------
-	IGCM_debug_Verif_Exit_Post
+        IGCM_debug_Verif_Exit_Post
         # Clean file produced by ncrcat
-	IGCM_sys_Rm ${output}
+        IGCM_sys_Rm ${output}
         # Clean files used by ncrcat
-	cat liste_pack_${myType}_${number_pack}.txt | xargs rm
+        cat liste_pack_${myType}_${number_pack}.txt | xargs rm
         # Save the list of files that has been pack (ncrcat)
-	mv liste_pack_${myType}_${date_begin_pack}_${date_end_pack}.txt ${STORE_DEBUG}
-	IGCM_debug_Print 1 "Ncrcat and cleaning done for ${dir} and ${myType}"
+        mv liste_pack_${myType}_${date_begin_pack}_${date_end_pack}.txt ${STORE_DEBUG}
+        IGCM_debug_Print 1 "Ncrcat and cleaning done for ${dir} and ${myType}"
       done
     done
@@ -331,2 +328,7 @@
   date_begin_pack=$( IGCM_date_AddDaysToGregorianDate ${date_end_pack} 1 )
 done
+
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
+IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+date
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 589)
+++ /trunk/libIGCM/AA_pack_restart	(revision 590)
@@ -3,5 +3,5 @@
 #-Q- cesium ## CESIUM   CEA ##
 #-Q- cesium ######################
-#-Q- cesium #MSUB -r PACKRESTART    # Nom du job                
+#-Q- cesium #MSUB -r PACKRESTART    # Nom du job
 #-Q- cesium #MSUB -N 1              # Reservation du noeud
 #-Q- cesium #MSUB -n 1              # Reservation du processus
@@ -27,5 +27,5 @@
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = PACKRESTART
-#-Q- sx8brodie # Fichier de sortie standard du travail       
+#-Q- sx8brodie # Fichier de sortie standard du travail
 #-Q- sx8brodie # @ output     = $(job_name).$(jobid)
 #-Q- sx8brodie # Fichier de sortie d'erreur du travail
@@ -81,5 +81,5 @@
 #-Q- sx9mercure ## CESIUM   CEA ##
 #-Q- sx9mercure ######################
-#-Q- sx9mercure #MSUB -r PACKRESTART    # Nom du job                
+#-Q- sx9mercure #MSUB -r PACKRESTART    # Nom du job
 #-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
 #-Q- sx9mercure #MSUB -n 1              # Reservation du processus
@@ -91,5 +91,5 @@
 #-Q- titane ## TITANE   CEA     ##
 #-Q- titane ######################
-#-Q- titane #MSUB -r PACKRESTART    # Nom du job                
+#-Q- titane #MSUB -r PACKRESTART    # Nom du job
 #-Q- titane #MSUB -eo
 #-Q- titane #MSUB -n 1              # Reservation du processus
@@ -178,15 +178,15 @@
 #RESTART/ATM_****.nc
 #RESTART/OCE_****.nc
-#Attention de bien conserver les dates d'origines 
+#Attention de bien conserver les dates d'origines
 #
 #Dans le cadre de la production nouvelle chaine
 #ils auront directement le bon nom
 #
-#On veut egalement que l'archive soit par periode de temps 
-# cette periode est definie par la taille du pack donc connue 
-# en entree du script (1M, 1Y, 5Y, 10Y etc...) 
-#
-# $1= PATH/config_card d'une simulation avec 
-# TagName/JobName/ExperimentName/SpaceName/DateBegin/DateEnd/PATH_SIMUL
+#On veut egalement que l'archive soit par periode de temps
+# cette periode est definie par la taille du pack donc connue
+# en entree du script (1M, 1Y, 5Y, 10Y etc...)
+#
+# $1= PATH/config_card d'une simulation avec
+# TagName/JobName/ExperimentName/SpaceName/DateBegin/DateEnd
 # $2=PeriodPack en M/m ou Y/y
 
@@ -223,10 +223,8 @@
 fi
 
-#
+#====================================================
 # First of all
 #
-#### 0- lecture de config.card 
-#### on veut les renseignements suivants : 
-#### JobName, PATH_SIMUL, DateBegin et DateEnd
+# Read config.card
 
 IGCM_card_DefineArrayFromSection     ${CARD_DIR}/config.card UserChoices
@@ -250,6 +248,8 @@
 
 #====================================================
-#R_SAVE : Job output storage directory
-#R_BUFR : Job output buffered directory
+# Prepare environment
+#R_SAVE        : Job output storage directory
+#R_BUFR        : Job output buffered directory
+#STORE_RESTART : Where we store tar files
 
 if ( [ ! X${config_UserChoices_SpaceName} = X ] && [ ! X${config_UserChoices_ExperimentName} = X ] ) ; then
@@ -264,20 +264,15 @@
 [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
 
-#### Preparation de l'environnement
-# repertoire dans lequel seront crees les archives
-#STORE_RESTART=/scratch/cont003/p86denv/Pack_Test/RESTART
+#STORE_RESTART=/ccc/store/cont003/dsm/p86denv/.../RESTART
 STORE_RESTART=${R_SAVE}/RESTART
 IGCM_sys_MkdirArchive ${STORE_RESTART}
 
+#cd ${STORE_RESTART}
+#rm -f *
+
 # Switch to script variables meaning (try to be compatible with ipsl_pack TGCC moving procedure)
 JobName=${config_UserChoices_JobName}
-PATH_SIMUL=${R_BUFR}
-echo $JobName $PATH_SIMUL $DateBegin $DateEnd
-
-#### 1- renommer les fichiers ######
-#cd ${STORE_RESTART}
-#rm -rf *
-
-# On les copie sur le scratchdir en changeant le nom et conservant la date
+echo $JobName $R_BUFR $DateBegin $DateEnd
+
 # Clear txt file lists
 rm -f ${RUN_DIR}/liste_restart_files.txt
@@ -286,5 +281,5 @@
 
 # Create sorted restart list to work with
-find ${PATH_SIMUL}/*/Restart -name "*nc" | sort >> ${RUN_DIR}/liste_restart_files.txt
+find ${R_BUFR}/*/Restart -name "*nc" | sort >> ${RUN_DIR}/liste_restart_files.txt
 
 # Rename restart files we will work with using symlinks
@@ -318,12 +313,11 @@
     extract_date_file=$( echo ${file}  | sed -e "s/.*${JobName}_//" )
     date_file=$( echo ${extract_date_file} | sed 's/\([0-9]\{8\}\)_.*$/\1/g' )
-#   echo pack nÂ°${number_pack}  ${date_file} ${date_begin_pack} ${date_end_pack} 
-    if [ ${date_file} -le ${date_end_pack} ] && [ ${date_file} -ge ${date_begin_pack} ] ; then 
-        echo $( basename ${file} ) >> ${RUN_DIR}/liste_pack_${number_pack}.txt
-	echo $( readlink ${file} ) >> ${RUN_DIR}/liste_remove_pack_${number_pack}.txt
-
-#    Will not work. Need to find a better ordering.
-#    elif [ ${date_file} -ge ${date_end_pack} ] ; then
-#      break
+#   echo pack nÂ°${number_pack}  ${date_file} ${date_begin_pack} ${date_end_pack}
+    if [ ${date_file} -le ${date_end_pack} ] && [ ${date_file} -ge ${date_begin_pack} ] ; then
+      echo $( basename ${file} ) >> ${RUN_DIR}/liste_pack_${number_pack}.txt
+      echo $( readlink ${file} ) >> ${RUN_DIR}/liste_remove_pack_${number_pack}.txt
+#   Will not work. Need to find a better ordering.
+#   elif [ ${date_file} -ge ${date_end_pack} ] ; then
+#     break
     fi
   done
@@ -350,2 +344,7 @@
 
 done
+
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
+IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+date
Index: /trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromArchive	(revision 589)
+++ /trunk/libIGCM/AA_rebuild_fromArchive	(revision 590)
@@ -268,4 +268,6 @@
 done
 
-# Clean RUN_DIR_PATH (necessary for cesium only)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+date
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 589)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 590)
@@ -268,4 +268,6 @@
 done
 
-# Clean RUN_DIR_PATH (necessary for cesium only)
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+date
Index: /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 589)
+++ /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 590)
@@ -608,5 +608,6 @@
   echo
 
-  typeset Date_tmp Date_r Path_r do_start CompOldName Path_OUT Path_BUF Buffered
+  typeset Date_tmp Date_r Path_r do_start CompOldName Path_OUT Path_BUF
+  typeset Buffered Archived Tared PotentialTarFile IsMatching TarFileFound
   typeset comp compname comptagname card ListFilesName FileName0 NbFiles i i_ 
   typeset file_in file_out file_in_ file_out_ file_in_Name
@@ -637,5 +638,5 @@
 	eval CompOldName=${comp}
       else
-	        # Read component Restarts parameters
+	# Read component Restarts parameters
 	IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card ${comp} Restart
 	eval do_start=\${config_${comp}_Restart} > /dev/null 2>&1
@@ -731,9 +732,32 @@
 
 	  if [ -f ${Path_BUF}*.nc ] ; then
+	    IGCM_debug_Print 3 "Buffered restart"
 	    Buffered=true
+	    Archived=false
+	    Tared=false
 	    nb_restart_file=$(IGCM_sys_CountFileBuffer ${Path_BUF}_????.nc)
+	  elif [ -f ${Path_OUT}*.nc ] ; then
+	    IGCM_debug_Print 3 "Archived restart"
+	    Buffered=false
+	    Archived=true
+	    Tared=false
+	    nb_restart_file=$(IGCM_sys_CountFileArchive ${Path_OUT}_????.nc)
 	  else
+	    IGCM_debug_Print 3 "Tared restart"
 	    Buffered=false
-	    nb_restart_file=$(IGCM_sys_CountFileArchive ${Path_OUT}_????.nc)
+	    Archived=false
+	    Tared=true
+	    # Look after the tar file we want if we did not found it already
+	    if [ X${IsMatching} = X ] ; then
+	      for PotentialTarFile in $( find ${R_SAVE}/RESTART -name "${config_UserChoices_JobName}_*_restart.tar" ) ; do
+		IsMatching=$( echo ${PotentialTarFile} | sed "s:^${config_UserChoices_JobName}_::" | sed "s:\.restart\.tar$::" | gawk -F_ -v restartdate=${LastPeriodDateEnd} '{if (($1 < restartdate) && ($2 > restartdate)) {print $1"_"$2}}' )
+		if [ ! X${IsMatching} = X ] ; then
+		  TarFileFound=${PotentialTarFile}
+		  break
+		fi
+	      done
+	    fi
+	    tar xvf ${TarFileFound} ${comp}_${generic_restart_file_name_in}*.nc
+	    nb_restart_file=$( IGCM_sys_CountFileBuffer ${comp}_${generic_restart_file_name_in}_????.nc )
 	  fi
 
@@ -742,19 +766,22 @@
 	    until [ $j -ge $nb_restart_file ]; do
 	      j4=${j}
-	      if [ ${Buffered} ] ; then
+	      if [ X${Buffered} = Xtrue ] ; then
 		IGCM_sys_GetBuffer ${Path_BUF}_${j4}.nc ${generic_restart_file_name_out}_${j4}.nc
-	      else
+	      elif [ X${Archived} = Xtrue ] ; then
 		IGCM_sys_Get ${Path_OUT}_${j4}.nc ${generic_restart_file_name_out}_${j4}.nc
+	      elif [ X${Tared} = Xtrue ] ; then
+		IGCM_sys_Mv ${comp}_${generic_restart_file_name_in}_${j4}.nc ${generic_restart_file_name_out}_${j4}.nc
 	      fi
 	      (( j=j+1 ))
 	    done
 	  else
-	    if [ ${Buffered} ] ; then
+	    if [ X${Buffered} = Xtrue ] ; then
 	      eval IGCM_sys_GetBuffer \${R_BUF_${comp}_R}/${file_in_Name} ${file_out}
-	    else
+	    elif [ X${Archived} = Xtrue ] ; then
 	      eval IGCM_sys_Get \${R_OUT_${comp}_R}/${file_in_Name} ${file_out}
-	    fi
-	  fi
-
+	    elif [ X${Tared} = Xtrue ] ; then
+	      IGCM_sys_Mv ${comp}_${file_in_Name} ${file_out}
+	    fi
+	  fi
 	  (( i=i+3 ))
 	done
Index: /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091118_mask.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091118_mask.ksh	(revision 589)
+++ /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091118_mask.ksh	(revision 590)
@@ -20,7 +20,7 @@
     IGCM_debug_PushStack "IGCM_Patch_mask" $@
 
-    if [ -f ${config_UserChoices_JobName}_mesh_mask.nc ] ; then
+    if [ ! -f ${config_UserChoices_JobName}_mesh_mask.nc ] ; then
       if [ -f ${R_BUFR}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc ] ; then
-	IGCM_sys_Get ${R_BUFR}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc .
+	IGCM_sys_GetBuffer ${R_BUFR}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc .
       elif [ -f ${R_SAVE}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc ] ; then
 	IGCM_sys_Get ${R_SAVE}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc .
Index: /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 589)
+++ /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 590)
@@ -245,5 +245,5 @@
 	  [ $(( ( ${YearEnd} - ${YearBegin} + 1 ) % ${YearsChunckLength} )) = 0 ] && NbYearsChunckLoop=$(( ${NbYearsChunckLoop} - 1 ))
 	  # Starting Year of the current chunck
-	  ChunckTsYearBegin=$(( ${NbYearsChunckLoop} *  ${YearsChunckLength} + ${YearBegin} ))
+	  ChunckTsYearBegin=$(( ${NbYearsChunckLoop} * ${YearsChunckLength} + ${YearBegin} ))
 	  # Starting date of the current chunck
 	  ChunckTsDateBegin=${ChunckTsYearBegin}${MonthBegin}01
@@ -412,4 +412,130 @@
   fi
 
+  #============== PACK PROCESSING FOR RESTART AND DEBUG FILES =============#
+  if [ ${PackFrequency} = true ] ; then
+    IGCM_debug_Print 1 "PACK POST-PROCESSING"
+    echo
+    ## Need to Remember This One
+    SavedDateBegin=${DateBegin}
+    ## Need to Remember This One
+    SavedDateEnd=${DateEnd}
+    #
+    DaysTemp=$(( $( IGCM_date_DaysInPreviousPeriod ${PeriodDateEnd} ${config_Post_PackFrequency} end ) - 1 ))
+    #
+    PackDateBegin=$( IGCM_date_AddDaysToGregorianDate ${PeriodDateEnd} -${DaysTemp} )
+    #
+    script=pack_debug
+    #
+    Script_Post_Output=${script}.${PeriodDateEnd}
+    #
+    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,DateBegin,DateEnd,PeriodPack,StandAlone"
+    IGCM_sys_RshPost <<-EOF
+    export DEBUG_debug=${DEBUG_debug}
+    export MODIPSL=${MODIPSL}
+    export libIGCM_SX=${libIGCM}
+    export libIGCM=${libIGCM_POST}
+    export SUBMIT_DIR=${SUBMIT_DIR}
+    export POST_DIR=${POST_DIR}
+    export MASTER=${MASTER}
+    export DateBegin=${PackDateBegin}
+    export DateEnd=${PeriodDateEnd}
+    export PeriodPack=${config_Post_PackFrequency}
+    export StandAlone=false
+    export listVarEnv=${listVarEnv}
+    export Script_Post_Output=${Script_Post_Output}
+    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
+    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
+    IGCM_sys_MkdirWork ${POST_DIR}
+    IGCM_debug_Verif_Exit_Post
+    IGCM_sys_QsubPost ${script}
+EOF
+    #
+    script=pack_restart
+    #
+    Script_Post_Output=${script}.${PeriodDateEnd}
+    #
+    IGCM_sys_RshPost <<-EOF
+    export DEBUG_debug=${DEBUG_debug}
+    export MODIPSL=${MODIPSL}
+    export libIGCM_SX=${libIGCM}
+    export libIGCM=${libIGCM_POST}
+    export SUBMIT_DIR=${SUBMIT_DIR}
+    export POST_DIR=${POST_DIR}
+    export MASTER=${MASTER}
+    export DateBegin=${PackDateBegin}
+    export DateEnd=${PeriodDateEnd}
+    export PeriodPack=${config_Post_PackFrequency}
+    export StandAlone=false
+    export listVarEnv=${listVarEnv}
+    export Script_Post_Output=${Script_Post_Output}
+    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
+    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
+    IGCM_sys_MkdirWork ${POST_DIR}
+    IGCM_debug_Verif_Exit_Post
+    IGCM_sys_QsubPost ${script}
+EOF
+    #
+    script=pack_output
+    #
+    Script_Post_Output=${script}.${PeriodDateEnd}
+    #
+    if [ ${RebuildFrequency} = true ] ; then
+      #
+      if [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ; then
+	#
+#	if [ X${MASTER} = Xtitane ] ; then
+#	  echo "IGCM_sys_RshPost <<-EOF"                     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	fi
+	echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export libIGCM_SX=${libIGCM}                   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export libIGCM=${libIGCM_POST}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export POST_DIR=${POST_DIR}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export MASTER=${MASTER}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export DateBegin=${PackDateBegin}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export DateEnd=${PeriodDateEnd}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export PeriodPack=${config_Post_PackFrequency} " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export StandAlone=false                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "export script=${script}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	if [ X${MASTER} = Xtitane ] ; then
+#	  echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	  echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	fi
+	echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	echo "IGCM_sys_QsubPost ${script}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	if [ X${MASTER} = Xtitane ] ; then
+#	  echo "EOF"                                         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+#	fi
+      fi
+    else
+      IGCM_sys_RshPost <<-EOF
+    export DEBUG_debug=${DEBUG_debug}
+    export MODIPSL=${MODIPSL}
+    export libIGCM_SX=${libIGCM}
+    export libIGCM=${libIGCM_POST}
+    export SUBMIT_DIR=${SUBMIT_DIR}
+    export POST_DIR=${POST_DIR}
+    export MASTER=${MASTER}
+    export DateBegin=${PackDateBegin}
+    export DateEnd=${PeriodDateEnd}
+    export PeriodPack=${config_Post_PackFrequency}
+    export StandAlone=false
+    export listVarEnv=${listVarEnv}
+    export Script_Post_Output=${Script_Post_Output}
+    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
+    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
+    IGCM_sys_MkdirWork ${POST_DIR}
+    IGCM_debug_Verif_Exit_Post
+    IGCM_sys_QsubPost ${script}
+EOF
+    export DateBegin=${SavedDateBegin}
+    export DateEnd=${SavedDateEnd}
+    fi
+  fi
+
   #============== REBUILD POST-PROCESSING =============#
   if [ X${AsynchronousRebuild} = Xtrue ] ; then
@@ -473,96 +599,4 @@
     IGCM_sys_QsubPost ${script}
 EOF
-  fi
-
-  #============== PACK PROCESSING FOR RESTART AND DEBUG FILES =============#
-  if [ ${PackFrequency} = true ] ; then
-    IGCM_debug_Print 1 "PACK POST-PROCESSING"
-    echo
-    ## Need to Remember This One
-    SavedDateBegin=${DateBegin}
-    ## Need to Remember This One
-    SavedDateEnd=${DateEnd}
-    #
-    DaysTemp=$(( $( IGCM_date_DaysInPreviousPeriod ${PeriodDateEnd} ${config_Post_PackFrequency} end ) - 1 ))
-    #
-    PackDateBegin=$( IGCM_date_AddDaysToGregorianDate ${PeriodDateEnd} -${DaysTemp} )
-    #
-    script=pack_debug
-    #
-    Script_Post_Output=${script}.${PeriodDateEnd}
-    #
-    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,DateBegin,DateEnd,PeriodPack,StandAlone"
-    IGCM_sys_RshPost <<-EOF
-    export DEBUG_debug=${DEBUG_debug}
-    export MODIPSL=${MODIPSL}
-    export libIGCM_SX=${libIGCM}
-    export libIGCM=${libIGCM_POST}
-    export SUBMIT_DIR=${SUBMIT_DIR}
-    export POST_DIR=${POST_DIR}
-    export MASTER=${MASTER}
-    export DateBegin=${PackDateBegin}
-    export DateEnd=${PeriodDateEnd}
-    export PeriodPack=${config_Post_PackFrequency}
-    export StandAlone=false
-    export listVarEnv=${listVarEnv}
-    export Script_Post_Output=${Script_Post_Output}
-    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
-    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
-    IGCM_sys_MkdirWork ${POST_DIR}
-    IGCM_debug_Verif_Exit_Post
-    IGCM_sys_QsubPost ${script}
-EOF
-    #
-    script=pack_restart
-    #
-    Script_Post_Output=${script}.${PeriodDateEnd}
-    #
-    IGCM_sys_RshPost <<-EOF
-    export DEBUG_debug=${DEBUG_debug}
-    export MODIPSL=${MODIPSL}
-    export libIGCM_SX=${libIGCM}
-    export libIGCM=${libIGCM_POST}
-    export SUBMIT_DIR=${SUBMIT_DIR}
-    export POST_DIR=${POST_DIR}
-    export MASTER=${MASTER}
-    export DateBegin=${PackDateBegin}
-    export DateEnd=${PeriodDateEnd}
-    export PeriodPack=${config_Post_PackFrequency}
-    export StandAlone=false
-    export listVarEnv=${listVarEnv}
-    export Script_Post_Output=${Script_Post_Output}
-    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
-    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
-    IGCM_sys_MkdirWork ${POST_DIR}
-    IGCM_debug_Verif_Exit_Post
-    IGCM_sys_QsubPost ${script}
-EOF
-    #
-    script=pack_output
-    #
-    Script_Post_Output=${script}.${PeriodDateEnd}
-    #
-    IGCM_sys_RshPost <<-EOF
-    export DEBUG_debug=${DEBUG_debug}
-    export MODIPSL=${MODIPSL}
-    export libIGCM_SX=${libIGCM}
-    export libIGCM=${libIGCM_POST}
-    export SUBMIT_DIR=${SUBMIT_DIR}
-    export POST_DIR=${POST_DIR}
-    export MASTER=${MASTER}
-    export DateBegin=${PackDateBegin}
-    export DateEnd=${PeriodDateEnd}
-    export PeriodPack=${config_Post_PackFrequency}
-    export StandAlone=false
-    export listVarEnv=${listVarEnv}
-    export Script_Post_Output=${Script_Post_Output}
-    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
-    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
-    IGCM_sys_MkdirWork ${POST_DIR}
-    IGCM_debug_Verif_Exit_Post
-    #IGCM_sys_QsubPost ${script}
-EOF
-    export DateBegin=${SavedDateBegin}
-    export DateEnd=${SavedDateEnd}
   fi
   IGCM_debug_PopStack "IGCM_post_Submit"
@@ -631,5 +665,5 @@
   *M|*m)
     PeriodMasterMonth=$( echo ${MasterFrequency} | sed -e "s/[mM]//" )
-    case ${SlaveFrequency} in		    
+    case ${SlaveFrequency} in
     *Y|*y)
       PeriodSlaveYear=$( echo ${SlaveFrequency} | sed -e "s/[yY]//" )
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 589)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 590)
@@ -1832,5 +1832,5 @@
     echo "IGCM_sys_ncrcat :" $@
   fi
-  ncrcat $@
+  ncrcat --omp_num_threads 2 $@
   if [ $? -gt 0 ] ; then
     echo "IGCM_sys_ncrcat : erreur ${@}."
